VMWare и АСП11

Аватар пользователя simak

при запуске vmware-config.pl
./usr/bin/vmware-config.pl
Making sure VMware Workstation's services are stopped.

Stopping VMware services:
Virtual machine monitor [ ОК ]

Trying to find a suitable vmmon module for your running kernel.

None of VMware Workstation's pre-built vmmon modules is suitable for your
running kernel. Do you want this program to try to build the vmmon module for
your system (you need to have a C compiler installed on your system)? [yes]

Using compiler "/usr/bin/gcc". Use environment variable CC to override.

What is the location of the directory of C header files that match your running
kernel? [/usr/src/linux/include]

вот . где лежат исходники то ? чо ему указать , перепробовал всё что мог , терь сюда обратился , помню на АСП9 не было проблем никаких с установкой и запуском, а тут вот что то никак..

Аватар пользователя Tigro

Re: VMWare и АСП11

Нужно поставить пакет kernel-devel

Аватар пользователя simak

Re: VMWare и АСП11

Цитата:
Tigro пишет:
Нужно поставить пакет kernel-devel

[root@localhost /]# ./usr/bin/vmware-config.pl
Making sure VMware Workstation's services are stopped.

Stopping VMware services:
Virtual machine monitor [ ОК ]

Trying to find a suitable vmmon module for your running kernel.

None of VMware Workstation's pre-built vmmon modules is suitable for your
running kernel. Do you want this program to try to build the vmmon module for
your system (you need to have a C compiler installed on your system)? [yes]

Using compiler "/usr/bin/gcc". Use environment variable CC to override.

What is the location of the directory of C header files that match your running
kernel? [/lib/modules/2.6.14-1.1653.1asp/build/include]

Extracting the sources of the vmmon module.

Building the vmmon module.

Using 2.6.x kernel build system.
make: Entering directory `/tmp/vmware-config1/vmmon-only'
make -C /lib/modules/2.6.14-1.1653.1asp/build/include/.. SUBDIRS=$PWD SRCROOT=$PWD/. modules
make[1]: Entering directory `/usr/src/kernels/2.6.14-1.1653.1asp-i686'
CC [M] /tmp/vmware-config1/vmmon-only/linux/driver.o
In file included from /tmp/vmware-config1/vmmon-only/./include/vmware.h:25,
from /tmp/vmware-config1/vmmon-only/linux/driver.c:37:
/tmp/vmware-config1/vmmon-only/./include/vm_assert.h:276:7: warning: "_MSC_VER" is not defined
/tmp/vmware-config1/vmmon-only/linux/driver.c:131: warning: initialization from incompatible pointer type
/tmp/vmware-config1/vmmon-only/linux/driver.c:135: warning: initialization from incompatible pointer type
In file included from /tmp/vmware-config1/vmmon-only/./include/vmware.h:25,
from /tmp/vmware-config1/vmmon-only/linux/driver.c:37:
/tmp/vmware-config1/vmmon-only/./include/vm_assert.h:276:7: warning: "_MSC_VER" is not defined
CC [M] /tmp/vmware-config1/vmmon-only/linux/hostif.o
In file included from /tmp/vmware-config1/vmmon-only/./include/vmware.h:25,
from /tmp/vmware-config1/vmmon-only/linux/hostif.c:44:
/tmp/vmware-config1/vmmon-only/./include/vm_assert.h:276:7: warning: "_MSC_VER" is not defined
In file included from /tmp/vmware-config1/vmmon-only/linux/hostif.c:61:
/tmp/vmware-config1/vmmon-only/./include/pgtbl.h: In function 'PgtblVa2PTELocked':
/tmp/vmware-config1/vmmon-only/./include/pgtbl.h:81: warning: passing argument 1 of 'pmd_offset' from incompatible pointer type
/tmp/vmware-config1/vmmon-only/linux/hostif.c: In function 'HostIF_FreeLockedPages':
/tmp/vmware-config1/vmmon-only/linux/hostif.c:738: error: 'struct page' has no member named 'count'
/tmp/vmware-config1/vmmon-only/linux/hostif.c:740: error: 'struct page' has no member named 'count'
make[2]: *** [/tmp/vmware-config1/vmmon-only/linux/hostif.o] Ошибка 1
make[1]: *** [_module_/tmp/vmware-config1/vmmon-only] Ошибка 2
make[1]: Leaving directory `/usr/src/kernels/2.6.14-1.1653.1asp-i686'
make: *** [vmmon.ko] Ошибка 2
make: Leaving directory `/tmp/vmware-config1/vmmon-only'
Unable to build the vmmon module.

For more information on how to troubleshoot module-related problems, please
visit our Web site at "http://www.vmware.com/download/modules/modules.html" and
"http://www.vmware.com/support/reference/linux/prebuilt_modules_linux.html".

Execution aborted.

Аватар пользователя Tigro

Re: VMWare и АСП11

Версия VMware?

Аватар пользователя baik

Re: VMWare и АСП11

simak,
у меня была такая-же проблемка когда хотел на асп11 настроить vmware4 (от аспа10), поставил vmware5 все стало на ура....

есть вопросик:
установил на вмваре виндусятину, как создать обший раздел или папку, чтобы ее было видно и с аспа и с виртуальной винды?

Аватар пользователя simak

Re: VMWare и АСП11

Цитата:
baik пишет:
simak,
у меня была такая-же проблемка когда хотел на асп11 настроить vmware4 (от аспа10), поставил vmware5 все стало на ура....

есть вопросик:
установил на вмваре виндусятину, как создать обший раздел или папку, чтобы ее было видно и с аспа и с виртуальной винды?

да версия помоему 4.
на работу попаду токо через неделю ,тогда и поробуем 5 !

я помню по сети кидал.расшарил типа! помоему так.

Аватар пользователя lystor

Re: VMWare и АСП11

Цитата:
да версия помоему 4.

Древность. Вероятнее всего, чт работать не будет.

Цитата:
на работу попаду токо через неделю ,тогда и поробуем 5 !

Не 5, а 5.5 + патч, если у вас ядро 2.6.16 http://community.asplinux.ru/forum/1/61548/61580/

Аватар пользователя baik

Re: VMWare и АСП11

Цитата:
Не 5, а 5.5 ........

да я эту и имел в виду....

Цитата:
я помню по сети кидал.расшарил типа! помоему так.

хорошо попробую.

Аватар пользователя Tigro

Re: VMWare и АСП11

Да, 4 работать не будет, это точно.

Аватар пользователя simak

Re: VMWare и АСП11

чото поставил VMware-workstation-e.x.p-15576.i386.rpm . установился нормально .
при попытке запустится пишет это , вставлял около 6 разных ключей , ему хоть бы что .........
Unable to change virtual machine power state: This product has expired and your virtual machine cannot be powered on.
There is a more recent version available at the VMware Workstation Web site: http://www.vmware.com/info?id=4.
может кто ссылку даст на нормально работающий ?

Аватар пользователя lystor

Re: VMWare и АСП11

Цитата:
simak пишет:
чото поставил VMware-workstation-e.x.p-15576.i386.rpm . установился нормально .
при попытке запустится пишет это , вставлял около 6 разных ключей , ему хоть бы что .........
Unable to change virtual machine power state: This product has expired and your virtual machine cannot be powered on.
There is a more recent version available at the VMware Workstation Web site: http://www.vmware.com/info?id=4.
может кто ссылку даст на нормально работающий ?

VMware-workstation-5.5.1-19175.i386.rpm
vmware-any-any-update101.tar.gz
Связка прекрасно работает на 2.6.16-1.2096asp.lystorsmp

Аватар пользователя poult

Re: VMWare и АСП11

VMware-workstation-5.5.1-19175.i386.rpm
vmware-any-any-update101.tar.gz
Связка прекрасно работает на 2.6.16-1.2096asp.lystorsmp

У меня падает после неудачных попыток компиляции модулей (незнал про существование апдейтов). Теперь все собралось, но скорее всего где-то наставил старых библиотек (ставил насильно через rpm ), так как думал ошибка в gtk где-то.
vmplayer работает отлично

Вот лог от vmware

May 25 10:52:45: vmui| Log for VMware Workstation pid=9433 version=5.5.1 build=build-19175 option=Release
Май 25 10:52:46: vmui| Using log file /tmp/vmware-root/ui-9433.log
Май 25 10:52:46: vmui| HAL04LoadHALLibraries: Could not dlopen libhal.so.0.
Май 25 10:52:46: vmui| Caught signal 11 -- pid 9433
Май 25 10:52:46: vmui| SIGNAL: eip 0x87dda4 esp 0xbf88c870 ebp 0xbf88c898
Май 25 10:52:46: vmui| SIGNAL: eax 0x0 ebx 0x8a77b4 ecx 0xff edx 0x0 esi 0x9f70930 edi 0x0
Май 25 10:52:46: vmui| SIGNAL: stack 0xbf88c870 : 0x00895d66 0x09f6fa58 0x00892f23 0xbf88c8b0
Май 25 10:52:46: vmui| SIGNAL: stack 0xbf88c880 : 0x008a77b4 0x09f70e20 0xbf88c8a8 0x008a77b4
Май 25 10:52:46: vmui| SIGNAL: stack 0xbf88c890 : 0x09f70930 0x008a7f68 0xbf88c8b8 0x00875acd
Май 25 10:52:46: vmui| SIGNAL: stack 0xbf88c8a0 : 0x00000000 0x09f70930 0xbf88c8c8 0x008a77b4
Май 25 10:52:46: vmui| SIGNAL: stack 0xbf88c8b0 : 0x00000000 0x09f71280 0xbf88c8c8 0x00875ef3
Май 25 10:52:46: vmui| SIGNAL: stack 0xbf88c8c0 : 0x09f71280 0x00892cf8 0xbf88c908 0x00858a00
Май 25 10:52:46: vmui| SIGNAL: stack 0xbf88c8d0 : 0x09f71280 0x00858056 0x09f71228 0x00000264
Май 25 10:52:46: vmui| SIGNAL: stack 0xbf88c8e0 : 0x00892cf8 0x008a77b4 0x00892f40 0x0088cff6
Май 25 10:52:46: vmui| Backtrace:
Май 25 10:52:46: vmui| Backtrace[0] 0xbf88c3b8 eip 0x821d310
Май 25 10:52:46: vmui| Backtrace[1] 0xbf88c518 eip 0x8468b03
Май 25 10:52:46: vmui| Backtrace[2] 0xbf88c588 eip 0x8468d7a
Май 25 10:52:46: vmui| Backtrace[3] 0xbf88c898 eip 0xc05420
Май 25 10:52:46: vmui| Backtrace[4] 0xbf88c8b8 eip 0x875acd
Май 25 10:52:46: vmui| Backtrace[5] 0xbf88c8c8 eip 0x875ef3
Май 25 10:52:46: vmui| Backtrace[6] 0xbf88c908 eip 0x858a00
Май 25 10:52:46: vmui| Backtrace[7] 0xbf88c958 eip 0x843c2d
Май 25 10:52:46: vmui| Backtrace[8] 0xbf88c998 eip 0x61a206
Май 25 10:52:46: vmui| Backtrace[9] 0xbf88c9d8 eip 0x822dfde
Май 25 10:52:46: vmui| Backtrace[10] 0xbf88c9f8 eip 0x822cedc
Май 25 10:52:46: vmui| Backtrace[11] 0xbf88ca18 eip 0x822b792
Май 25 10:52:46: vmui| Backtrace[12] 0xbf88cb98 eip 0x809760c
Май 25 10:52:46: vmui| Backtrace[13] 0xbf88cdf8 eip 0x8091593
Май 25 10:52:46: vmui| Backtrace[14] 0xbf88ce78 eip 0x80782bd
Май 25 10:52:46: vmui| Backtrace[15] 0xbf88d1f8 eip 0x8076be9
Май 25 10:52:46: vmui| Backtrace[16] 0xbf88d258 eip 0x518c74f
Май 25 10:52:46: vmui| Backtrace[17] 00000000 eip 0x80768d1
Май 25 10:52:46: vmui| Your core dump size limit is 0 kb.
Май 25 10:52:46: vmui| Attempting to dump core ...

Аватар пользователя _sergey_

Re: VMWare и АСП11

У меня тоже была такая проблема с установкой VMWare на АСПLinux11 Грустный . Тогда я взял и сделал полную установку ASPLinux с 4-х CD. После этого установка vmplayer прошла полностью успешно.(и при запуске ./usr/bin/vmware-config.pl тоже все сработало нормально) ;-)

Аватар пользователя vyacheslav

Re: VMWare и АСП11

Только что поставил VMware-workstation-4.5.2-8848 + vmware-any-any-update105.tar.gz
работает прекрасно на asp-11.2 с ядром 2.6.18-1.2239.0.112asp.

Аватар пользователя Marun

VMWare и АСП11

В самом конце установки ругнулось на каталог /usr/linux/kernels ver.5.5
Я отменил установку!!! НО все установилось работает отлично!!!

RSS-материал